import QtQuick 1.0
//import com.nokia.symbian 1.0

import "IsDate.js" as IsDate

Flickable {
    id: bfwin
    width: if(isRunningOn ===1) { 540 } else { 715 }
    height: if(isRunningOn ===1) { 360 } else { 480 }
    contentWidth: buyFuelWindow.width
    contentHeight: buyFuelWindow.height

    property string odometerNumber: ""
    property string fuelAmountNumber: ""
    property string totalCostNumber: ""
    property string datumString: ""
    property string dayString: ""
    property string monthString: ""
    property string yearString: ""


    property int datOdoCheck: 0

    property alias buyFuelFuelAmount1 : fuelAmount1
    property alias buyFuelFuelAmount2 : fuelAmount2
    property alias buyFuelFuelAmount3 : fuelAmount3
    property alias buyFuelFuelAmount4 : fuelAmount4
    property alias buyFuelFuelAmount5 : fuelAmount5
    property alias buyFuelTotalCost1 : totalCost1
    property alias buyFuelTotalCost2 : totalCost2
    property alias buyFuelTotalCost3 : totalCost3
    property alias buyFuelTotalCost4 : totalCost4
    property alias buyFuelTotalCost5 : totalCost5
    property alias buyFuelTotalCost6 : totalCost6

    Rectangle {
        id: buyFuelWindow
        width: bfwin.width
        height: odometerTextRow.height + odometerWheelsRow.height + dateTextRow.height + dateWheelsRow.height + fuelAmountTextRow.height + fuelAmountWheelsRow.height + totalCostTextRow.height + totalCostWheelsRow.height + 150
        color: "black"
        visible: true

        Column {
            id: column1
            width: buyFuelWindow.width
            height: if(isRunningOn ===1) { 360 } else { 480 }
            spacing: 10

            Row {
                id: odometerTextRow
                width: if(isRunningOn ===1) { 520 } else { 650 }
                height: if(isRunningOn ===1) { 50 } else { 65 }
                anchors.left: parent.left
                anchors.topMargin: 20
                anchors.leftMargin: 10
                transformOrigin: Item.Center
                anchors.top: parent.top
                Text {
                    id: odometerText
                    font.pixelSize: 35
                    style: Text.Raised
                    verticalAlignment: Text.AlignBottom
                    horizontalAlignment: Text.AlignLeft
                    styleColor: "#777272"
                    color: "white"
                    text: qsTr("Odometer:")
                    anchors.topMargin: 0
                    anchors.leftMargin: 10
                    anchors.fill: parent
                }
            }

            Row {
                id: odometerWheelsRow
                width: if(isRunningOn ===1) { 520 } else { 650 }
                height: if(isRunningOn ===1) { 140 } else { 185 }
                anchors.top: odometerTextRow.bottom
                anchors.topMargin: 10
                anchors.left: parent.left
                anchors.leftMargin: 10
                spacing: 3
                WheelButton { id: odometar1; anchors.left: parent.left; anchors.leftMargin: 0;                                    anchors.verticalCenter: parent.verticalCenter; brojTextDef: aData.getDefOdometer(0) }
                WheelButton { id: odometar2; anchors.left: parent.left; anchors.leftMargin: if(isRunningOn ===1)  58;  else   72; anchors.verticalCenter: parent.verticalCenter; brojTextDef: aData.getDefOdometer(1) }
                WheelButton { id: odometar3; anchors.left: parent.left; anchors.leftMargin: if(isRunningOn ===1)  116; else  144; anchors.verticalCenter: parent.verticalCenter; brojTextDef: aData.getDefOdometer(2) }
                WheelButton { id: odometar4; anchors.left: parent.left; anchors.leftMargin: if(isRunningOn ===1)  174; else  216; anchors.verticalCenter: parent.verticalCenter; brojTextDef: aData.getDefOdometer(3) }
                WheelButton { id: odometar5; anchors.left: parent.left; anchors.leftMargin: if(isRunningOn ===1)  232; else  288; anchors.verticalCenter: parent.verticalCenter; brojTextDef: aData.getDefOdometer(4) }
                WheelButton { id: odometar6; anchors.left: parent.left; anchors.leftMargin: if(isRunningOn ===1)  290; else  360; anchors.verticalCenter: parent.verticalCenter; brojTextDef: aData.getDefOdometer(5) }

                // decimalna točka
                Rectangle {
                    id: decimalDotBox
                    width: if(isRunningOn ===1) { 20 } else { 25 }
                    height: if(isRunningOn ===1) { 60 } else { 80 }
                    color: "black"
                    anchors.left: parent.left
                    anchors.leftMargin: if(isRunningOn ===1)  348; else  432
                    anchors.verticalCenter: parent.verticalCenter

                    gradient: Gradient {
                        GradientStop { position: 0.0; color: "black" }
                        GradientStop { position: 0.5; color: "darkGray" }
                        GradientStop { position: 1.0; color: "black" }
                    }

                    Text {
                        id: tockaText
                        text: qsTr(".")
                        anchors.bottomMargin: 0
                        anchors.fill: parent
                        style: Text.Raised
                        font.bold: true
                        verticalAlignment: Text.AlignVCenter
                        horizontalAlignment: Text.AlignHCenter
                        styleColor: "#777272"
                        color: "white"
                        font.pixelSize: 35
                    }

                }

                WheelButton { id: odometar7; anchors.left: parent.left; anchors.leftMargin: if(isRunningOn ===1)  371; else  460; anchors.verticalCenter: parent.verticalCenter; brojTextDef: aData.getDefOdometer(7) } //triba preskocit jedno polje jer je to tocka

           }

           Row {
                id: dateTextRow
                width: if(isRunningOn ===1) { 520 } else { 650 }
                height: if(isRunningOn ===1) { 50 } else { 65 }
                anchors.top: odometerWheelsRow.bottom
                anchors.topMargin: 25
                anchors.left: parent.left
                anchors.leftMargin: 10
                transformOrigin: Item.Center
                Text {
                    id: dateText
                    font.pixelSize: 35
                    style: Text.Raised
                    verticalAlignment: Text.AlignBottom
                    horizontalAlignment: Text.AlignLeft
                    styleColor: "#777272"
                    color: "white"
                    text: qsTr("Date (yyyy-mm-dd):")
                    anchors.topMargin: 0
                    anchors.leftMargin: 10
                    anchors.fill: parent
                }
            }

            Row {
                id: dateWheelsRow
                width: if(isRunningOn ===1) { 520 } else { 650 }
                height: if(isRunningOn ===1) { 140 } else { 185 }
                anchors.top: dateTextRow.bottom
                anchors.topMargin: 10
                anchors.left: parent.left
                anchors.leftMargin: 10
                spacing: 3
                WheelButton { id: date1; anchors.left: parent.left; anchors.leftMargin: 0;                                    anchors.verticalCenter: parent.verticalCenter; brojTextDef: aData.getCurrentDate(0)  }
                WheelButton { id: date2; anchors.left: parent.left; anchors.leftMargin: if(isRunningOn ===1)  58;  else   72; anchors.verticalCenter: parent.verticalCenter; brojTextDef: aData.getCurrentDate(1)  }
                WheelButton { id: date3; anchors.left: parent.left; anchors.leftMargin: if(isRunningOn ===1)  116; else  144; anchors.verticalCenter: parent.verticalCenter; brojTextDef: aData.getCurrentDate(2) }
                WheelButton { id: date4; anchors.left: parent.left; anchors.leftMargin: if(isRunningOn ===1)  174; else  216; anchors.verticalCenter: parent.verticalCenter; brojTextDef: aData.getCurrentDate(3) }

                // decimalna točka
                Rectangle {
                    id: decimalDotBox1
                    width: if(isRunningOn ===1) { 20 } else { 25 }
                    height: if(isRunningOn ===1) { 60 } else { 80 }
                    color: "black"
                    anchors.left: parent.left
                    anchors.leftMargin: if(isRunningOn ===1)  232; else  288
                    anchors.verticalCenter: parent.verticalCenter

                    gradient: Gradient {
                        GradientStop { position: 0.0; color: "black" }
                        GradientStop { position: 0.5; color: "darkGray" }
                        GradientStop { position: 1.0; color: "black" }
                    }

                    Text {
                        id: tockaText1
                        text: qsTr(".")
                        anchors.bottomMargin: 0
                        anchors.fill: parent
                        style: Text.Raised
                        font.bold: true
                        verticalAlignment: Text.AlignVCenter
                        horizontalAlignment: Text.AlignHCenter
                        styleColor: "#777272"
                        color: "white"
                        font.pixelSize: 35
                    }

                }

                WheelButton { id: date5; anchors.left: parent.left; anchors.leftMargin: if(isRunningOn ===1)  255; else  316; anchors.verticalCenter: parent.verticalCenter; brojTextDef: aData.getCurrentDate(5) }
                WheelButton { id: date6; anchors.left: parent.left; anchors.leftMargin: if(isRunningOn ===1)  313; else  388; anchors.verticalCenter: parent.verticalCenter; brojTextDef: aData.getCurrentDate(6) }

                // decimalna točka
                Rectangle {
                    id: decimalDotBox2
                    width: if(isRunningOn ===1) { 20 } else { 25 }
                    height: if(isRunningOn ===1) { 60 } else { 80 }
                    color: "black"
                    anchors.left: parent.left
                    anchors.leftMargin: if(isRunningOn ===1)  371; else  460
                    anchors.verticalCenter: parent.verticalCenter

                    gradient: Gradient {
                        GradientStop { position: 0.0; color: "black" }
                        GradientStop { position: 0.5; color: "darkGray" }
                        GradientStop { position: 1.0; color: "black" }
                    }

                    Text {
                        id: tockaText2
                        text: qsTr(".")
                        anchors.bottomMargin: 0
                        anchors.fill: parent
                        style: Text.Raised
                        font.bold: true
                        verticalAlignment: Text.AlignVCenter
                        horizontalAlignment: Text.AlignHCenter
                        styleColor: "#777272"
                        color: "white"
                        font.pixelSize: 35
                    }

                }

                WheelButton { id: date7; anchors.left: parent.left; anchors.leftMargin: if(isRunningOn ===1)  394; else  488; anchors.verticalCenter: parent.verticalCenter; brojTextDef: aData.getCurrentDate(8) }
                WheelButton { id: date8; anchors.left: parent.left; anchors.leftMargin: if(isRunningOn ===1)  452; else  560; anchors.verticalCenter: parent.verticalCenter; brojTextDef: aData.getCurrentDate(9) }

           }

           Row {
                id: fuelAmountTextRow
                width: if(isRunningOn ===1) { 520 } else { 650 }
                height: if(isRunningOn ===1) { 50 } else { 65 }
                anchors.top: dateWheelsRow.bottom
                anchors.topMargin: 25
                anchors.left: parent.left
                anchors.leftMargin: 10
                Text {
                    id: fuelAmountText
                    font.pixelSize: 35
                    style: Text.Raised
                    verticalAlignment: Text.AlignBottom
                    horizontalAlignment: Text.AlignLeft
                    styleColor: "#777272"
                    color: "white"
                    text: qsTr("Fuel quantity:")
                    anchors.leftMargin: 10
                    anchors.fill: parent
                }
            }

            Row {
                id: fuelAmountWheelsRow
                width: if(isRunningOn ===1) { 520 } else { 650 }
                anchors.left: parent.left
                anchors.leftMargin: 10
                anchors.top: fuelAmountTextRow.bottom
                anchors.topMargin: 10
                spacing: 3

                WheelButton { id: fuelAmount1; anchors.left: parent.left; anchors.leftMargin: 0;   anchors.verticalCenter: parent.verticalCenter; brojTextDef: "0" }
                WheelButton { id: fuelAmount2; anchors.left: parent.left; anchors.leftMargin: if(isRunningOn ===1)  58;  else   72; anchors.verticalCenter: parent.verticalCenter; brojTextDef: "0" }
                WheelButton { id: fuelAmount3; anchors.left: parent.left; anchors.leftMargin: if(isRunningOn ===1)  116; else  144; anchors.verticalCenter: parent.verticalCenter; brojTextDef: "0" }

                // decimalna točka
                Rectangle {
                    id: decimalDotBox3
                    width: if(isRunningOn ===1) { 20 } else { 25 }
                    height: if(isRunningOn ===1) { 60 } else { 80 }
                    color: "black"
                    anchors.left: parent.left
                    anchors.leftMargin: if(isRunningOn ===1)  174; else  216
                    anchors.verticalCenter: parent.verticalCenter

                    gradient: Gradient {
                        GradientStop { position: 0.0; color: "black" }
                        GradientStop { position: 0.5; color: "darkGray" }
                        GradientStop { position: 1.0; color: "black" }
                    }

                    Text {
                        id: tockaText3
                        text: qsTr(".")
                        anchors.fill: parent
                        style: Text.Raised
                        font.bold: true
                        verticalAlignment: Text.AlignVCenter
                        horizontalAlignment: Text.AlignHCenter
                        styleColor: "#777272"
                        color: "white"
                        font.pixelSize: 35
                    }

                }

                WheelButton { id: fuelAmount4 ; anchors.left: parent.left; anchors.leftMargin: if(isRunningOn ===1)  197; else  244; anchors.verticalCenter: parent.verticalCenter; brojTextDef: "0" }
                WheelButton { id: fuelAmount5 ; anchors.left: parent.left; anchors.leftMargin: if(isRunningOn ===1)  255; else  316; anchors.verticalCenter: parent.verticalCenter; brojTextDef: "0" }
            }

            Row {
                id: totalCostTextRow
                width: if(isRunningOn ===1) { 520 } else { 650 }
                height: if(isRunningOn ===1) { 50 } else { 65 }
                anchors.top: fuelAmountWheelsRow.bottom
                anchors.topMargin: 25
                anchors.left: parent.left
                anchors.leftMargin: 10
                Text {
                    id: totalCostText
                    font.pixelSize: 35
                    style: Text.Raised
                    verticalAlignment: Text.AlignBottom
                    horizontalAlignment: Text.AlignLeft
                    styleColor: "#777272"
                    color: "white"
                    text: qsTr("Price:")
                    anchors.leftMargin: 10
                    anchors.fill: parent
                }
            }

            Row {
                id: totalCostWheelsRow
                width: if(isRunningOn ===1) { 520 } else { 650 }
                anchors.left: parent.left
                anchors.leftMargin: 10
                anchors.top: totalCostTextRow.bottom
                anchors.topMargin: 10
                spacing: 3

                WheelButton { id: totalCost1; anchors.left: parent.left; anchors.leftMargin: 0;   anchors.verticalCenter: parent.verticalCenter; brojTextDef: "0" }
                WheelButton { id: totalCost2; anchors.left: parent.left; anchors.leftMargin: if(isRunningOn ===1)  58;  else   72; anchors.verticalCenter: parent.verticalCenter; brojTextDef: "0" }
                WheelButton { id: totalCost3; anchors.left: parent.left; anchors.leftMargin: if(isRunningOn ===1)  116; else  144; anchors.verticalCenter: parent.verticalCenter; brojTextDef: "0" }
                WheelButton { id: totalCost4; anchors.left: parent.left; anchors.leftMargin: if(isRunningOn ===1)  174; else  216; anchors.verticalCenter: parent.verticalCenter; brojTextDef: "0" }

                // decimalna točka
                Rectangle {
                    id: decimalDotBox4
                    width: if(isRunningOn ===1) { 20 } else { 25 }
                    height: if(isRunningOn ===1) { 60 } else { 80 }
                    color: "black"
                    anchors.left: parent.left
                    anchors.leftMargin: if(isRunningOn ===1)  232; else  288
                    anchors.verticalCenter: parent.verticalCenter

                    gradient: Gradient {
                        GradientStop { position: 0.0; color: "black" }
                        GradientStop { position: 0.5; color: "darkGray" }
                        GradientStop { position: 1.0; color: "black" }
                    }

                    Text {
                        id: tockaText4
                        text: qsTr(".")
                        anchors.fill: parent
                        style: Text.Raised
                        font.bold: true
                        verticalAlignment: Text.AlignVCenter
                        horizontalAlignment: Text.AlignHCenter
                        styleColor: "#777272"
                        color: "white"
                        font.pixelSize: 35
                    }

                }

                WheelButton { id: totalCost5; anchors.left: parent.left; anchors.leftMargin: if(isRunningOn ===1)  255; else  316; anchors.verticalCenter: parent.verticalCenter; brojTextDef: "0" }
                WheelButton { id: totalCost6; anchors.left: parent.left; anchors.leftMargin: if(isRunningOn ===1)  313; else  388; anchors.verticalCenter: parent.verticalCenter; brojTextDef: "0" }

                // botun za unos u aplikaciju...
                Button {
                    id: checkButton
                    x: 401
                    width: if(isRunningOn ===1) { 100 } else { 125 }
                    anchors.left: parent.left
                    anchors.leftMargin: if(isRunningOn ===1)  385; else  470
                    anchors.verticalCenter: parent.verticalCenter
                    SequentialAnimation {
                        id: checkButton_anim
                        NumberAnimation { target: checkButton; property: "opacity"; to: 0.0; duration: 100 }
                        NumberAnimation { target: checkButton; property: "opacity"; to: 1.0; duration: 150 }
                    }

                    MouseArea{
                        id: checkButtonMouseArea
                        anchors.fill: parent
                        onClicked: {
                            checkButton_anim.start()

                            //posalji u c++ dio podatke


                            totalCostNumber = buyFuelWindow.spojiTotalCostKotacice()
                            fuelAmountNumber = buyFuelWindow.spojiFuelAmountKotacice()
                            odometerNumber = buyFuelWindow.spojiOdometerKotacice()
                            datumString = buyFuelWindow.spojiDatumKotacice()

                            //dateOdoCombo = getPreviousDateAndOdometerSignal(datumString, odometerNumber)

//                            console.log("checkButtonMouseArea - datumString = " + datumString )
//                            console.log("checkButtonMouseArea - totalCostNumber = " + totalCostNumber )
//                            console.log("checkButtonMouseArea - fuelAmountNumber = " + fuelAmountNumber )
//                            console.log("checkButtonMouseArea - odometerNumber = " + odometerNumber )

//                            console.log("checkButtonMouseArea - errorWindow.odometerValid = " + errorWindow.odometerValid )
//                            console.log("checkButtonMouseArea - errorWindow.fuelValid = " + errorWindow.fuelValid )
//                            console.log("checkButtonMouseArea - errorWindow.priceValid = " + errorWindow.priceValid )
//                            console.log("checkButtonMouseArea - errorWindow.dateValid = " + errorWindow.dateValid )

                            if(errorWindow.odometerValid === 1 &&
                               errorWindow.dateValid === 1 &&
                               errorWindow.priceValid === 1 &&
                               errorWindow.fuelValid === 1 &&
                               errorWindow.odometerValid === 1 //&&
                               //errorWindow.dateOdoCombo === "1"
                                    )
                            {
                                mainWindow.buyFuelSignal(buyFuelWindow.spojiOdometerKotacice(),
                                                         buyFuelWindow.spojiDatumKotacice(),
                                                         buyFuelWindow.spojiFuelAmountKotacice(),
                                                         buyFuelWindow.spojiTotalCostKotacice()
                                                         )
                                toolbar.state = "Statistika"
                            }
                            else
                                toolbar.state = "InputErrorWarning"
                        }
                    }

                    BorderImage {
                        id: checkImage
                        source: "images/save.png"
                        width: parent.height - 10
                        height: parent.height - 10
                        anchors.verticalCenter: parent.verticalCenter
                        anchors.horizontalCenter: parent.horizontalCenter
                    }

                }
            }
        }

        // QML --> C++
        // spajanje i pohranjivanje vrijednosti kotacica u varijable koje cu prosljediti C++
        function spojiOdometerKotacice()
        {
            odometerNumber = (odometar1.brojTextDef + odometar2.brojTextDef + odometar3.brojTextDef + odometar4.brojTextDef + odometar5.brojTextDef + odometar6.brojTextDef + "." + odometar7.brojTextDef)

            if(odometerNumber > 0)
            {
//                console.log("spojiOdometerKotacice - errorWindow.odometerValid = " + errorWindow.odometerValid )
//                console.log("spojiOdometerKotacice - odometerNumber = " + odometerNumber )
                errorWindow.odometerValid = 1
                return odometerNumber
            }
            else
            {
//                console.log("spojiOdometerKotacice - errorWindow.odometerValid = " + errorWindow.odometerValid )
//                console.log("spojiOdometerKotacice - odometerNumber = " + odometerNumber )
                errorWindow.odometerValid = 0
                return odometerNumber
            }
        }

        function spojiFuelAmountKotacice()
        {
            fuelAmountNumber = (parseInt(fuelAmount1.brojTextDef)*100 + parseInt(fuelAmount2.brojTextDef)*10 + parseInt(fuelAmount3.brojTextDef) + parseInt(fuelAmount4.brojTextDef)*0.1 + parseInt(fuelAmount5.brojTextDef)*0.01)

            if(fuelAmountNumber > 0)
            {
//                console.log("spojiFuelAmountKotacice - errorWindow.fuelValid = " + errorWindow.odometerValid )
//                console.log("spojiFuelAmountKotacice - fuelAmountNumber = " + odometerNumber )
                errorWindow.fuelValid = 1
                return fuelAmountNumber
            }
            else
            {
//                console.log("spojiFuelAmountKotacice - errorWindow.fuelValid = " + errorWindow.odometerValid )
//                console.log("spojiFuelAmountKotacice - fuelAmountNumber = " + odometerNumber )
                errorWindow.fuelValid = 0
                return fuelAmountNumber
            }
        }

        function spojiTotalCostKotacice()
        {
            totalCostNumber = (parseInt(totalCost1.brojTextDef)*1000 + parseInt(totalCost2.brojTextDef)*100 + parseInt(totalCost3.brojTextDef)*10 + parseInt(totalCost4.brojTextDef) + parseInt(totalCost5.brojTextDef)*0.1 + parseInt(totalCost6.brojTextDef)*0.01)

            if(totalCostNumber > 0)
            {
//                console.log("spojiTotalCostKotacice - errorWindow.priceValid = " + errorWindow.odometerValid )
//                console.log("spojiTotalCostKotacice - totalCostNumber = " + odometerNumber )
                errorWindow.priceValid = 1
                return totalCostNumber
            }
            else
            {
//                console.log("spojiTotalCostKotacice - errorWindow.priceValid = " + errorWindow.odometerValid )
//                console.log("spojiTotalCostKotacice - totalCostNumber = " + odometerNumber )
                errorWindow.priceValid = 0
                return totalCostNumber
            }
        }

        function spojiDatumKotacice()
        {

            dayString   = date7.brojTextDef + date8.brojTextDef
            monthString = date5.brojTextDef + date6.brojTextDef
            yearString  = date1.brojTextDef + date2.brojTextDef + date3.brojTextDef + date4.brojTextDef

            datumString = (yearString + "-" + monthString + "-" + dayString)

            if( IsDate.isDate(monthString +  "-" + dayString +  "-" + yearString) === true)
            {
//                console.log("spojiDatumKotacice - errorWindow.dateValid = " + errorWindow.odometerValid )
//                console.log("spojiDatumKotacice - datumString = " + odometerNumber )
                errorWindow.dateValid = 1
                return datumString
            }
            else
            {
//                console.log("spojiDatumKotacice - errorWindow.dateValid = " + errorWindow.odometerValid )
//                console.log("spojiDatumKotacice - datumString = " + odometerNumber )
                errorWindow.dateValid = 0
                return datumString
            }

        }


    }
}
