import QtQuick 1.0

Rectangle {
    id: deleteEverythingWindow
    width: if(isRunningOn ===1) { 640 } else { 850 }
    height: if(isRunningOn ===1) { 360 } else { 480 }
    color: "black"
    opacity: 1
    clip: true

    Button {
        id: okButton
        width: if(isRunningOn ===1) { 90 } else { 112 }
        height: if(isRunningOn ===1) { 40 } else { 55 }
        radius: if(isRunningOn ===1) { 7 } else { 10 }
        anchors.bottom: parent.bottom
        anchors.bottomMargin: 50
        anchors.left: parent.left
        anchors.leftMargin: 210
        border.width: 5

        SequentialAnimation {
               id: okButton_anim
               NumberAnimation { target: okButton; property: "opacity"; to: 0.0; duration: 100 }
               NumberAnimation { target: okButton; property: "opacity"; to: 1.0; duration: 150 }
        }

        MouseArea {
               id: okButtonMouseArea
               anchors.fill: parent
               onClicked: {
                   okButton_anim.start()
                   deleteEverythingSignal()       //posalji u c++ dio podatke
                   toolbar.state = "Statistika"

               }
        }

        BorderImage {
               id: okImage
               anchors.bottomMargin: 5
               anchors.topMargin: 5
               anchors.rightMargin: 22
               anchors.leftMargin: 22
               smooth: true
               anchors.fill: parent
               clip: true
               source: "images/accept_inv.png"
        }
    }

    Button {
        id: cancelButton
        width: if(isRunningOn ===1) { 90 } else { 112 }
        height: if(isRunningOn ===1) { 40 } else { 55 }
        radius: if(isRunningOn ===1) { 7 } else { 10 }
        anchors.bottom: parent.bottom
        anchors.bottomMargin: 50
        anchors.left: okButton.right
        anchors.leftMargin: 40
        border.width: 5

        SequentialAnimation {
               id: cancelButton_anim
               NumberAnimation { target: cancelButton; property: "opacity"; to: 0.0; duration: 100 }
               NumberAnimation { target: cancelButton; property: "opacity"; to: 1.0; duration: 150 }
        }

        MouseArea {
               id: cancelButtonMouseArea
               anchors.fill: parent
               onClicked: {
                   cancelButton_anim.start()
                   toolbar.state = "Statistika"
               }
        }

        BorderImage {
               id: cancelImage
               anchors.bottomMargin: 5
               anchors.topMargin: 5
               anchors.rightMargin: 22
               anchors.leftMargin: 22
               anchors.fill: parent
               clip: true
               source: "images/cancel_inv.png"
        }
    }

    Text {
        id: warningText
        x: 50;
        y: 40
        width: if(isRunningOn ===1) { 400 } else { 500 }
        height: if(isRunningOn ===1) { 200 } else { 265 }
        color: "white"
        text: qsTr("Are you sure you want to delete all data from aplication!")
        wrapMode: Text.WordWrap
        horizontalAlignment: Text.AlignLeft
        verticalAlignment: Text.AlignTop
        anchors.verticalCenterOffset: -30
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.verticalCenter: parent.verticalCenter
        font.pixelSize: 24
    }
}
