import QtQuick 1.0

Rectangle {
    id: errorWindow
    width: if(isRunningOn ===1) { 640 } else { 850 }
    height: if(isRunningOn ===1) { 360 } else { 480 }
    color: "black"
    opacity: 1
    clip: true

    property int dateValid: 0
    property int priceValid: 0
    property int fuelValid: 0
    property int odometerValid: 0
    property int datumOdometarCheck: 0
    property string dateOdoCombo: "0"

    Button {
        id: okButton
        width: if(isRunningOn ===1) { 90 } else { 112 }
        height: if(isRunningOn ===1) { 40 } else { 55 }
        radius: if(isRunningOn ===1) { 7 } else { 10 }
        anchors.bottom: parent.bottom
        anchors.bottomMargin: 50
        anchors.left: parent.left
        anchors.leftMargin: 275
        border.width: 5

        SequentialAnimation {
               id: okButton_anim
               NumberAnimation { target: okButton; property: "opacity"; to: 0.0; duration: 100 }
               NumberAnimation { target: okButton; property: "opacity"; to: 1.0; duration: 150 }
        }

        MouseArea {
               id: okButtonMouseArea
               anchors.fill: parent
               onClicked: {
                   okButton_anim.start()
                   toolbar.state = "Uplati"

               }
        }

        BorderImage {
               id: okImage
               anchors.bottomMargin: 5
               anchors.topMargin: 5
               anchors.rightMargin: 22
               anchors.leftMargin: 22
               smooth: true
               anchors.fill: parent
               clip: true
               source: "images/accept_inv.png"
        }
    }

    Text {
        id: warningText
        x: 70;  y: 30
        width: if(isRunningOn ===1) { 500 } else { 700 }
        height: if(isRunningOn ===1) { 300 } else { 400 }
        color: "white"
        text: errorWindow.setErrorText()
        style: Text.Raised
        anchors.horizontalCenterOffset: 0
        wrapMode: Text.WordWrap
        font.bold: false
        horizontalAlignment: Text.AlignLeft
        verticalAlignment: Text.AlignVCenter
        anchors.verticalCenterOffset: 0
        anchors.horizontalCenter: parent.horizontalCenter
        anchors.verticalCenter: parent.verticalCenter
        font.pixelSize: 22
    }

    function setErrorText()
    {
        if(odometerValid === 0) return qsTr("Odometer is 0! \n\n Please enter odometer number. " )
        if(dateValid === 0)     return qsTr("Date is in wrong format! \n\n Proper format is: YYYY MM DD " )
        if(fuelValid === 0)     return qsTr("Fuel quantity is 0! \n\n Please enter fuel quantity. " )
        if(priceValid === 0)    return qsTr("Price is 0! \n\n Please enter price. " )
        if(datumOdometarCheck === 0) return qsTr("Odometer value error! \n\n You already have larger date with smaller odometer value in database..." )
    }
}
