import QtQuick 1.0

Flickable {
    id: hlpWin
    width: if(isRunningOn ===1) { 540 } else { 710 }
    height: if(isRunningOn ===1) { 360 } else { 480 }
    contentWidth: helpWindow.width
    contentHeight: helpWindow.height

    Rectangle {
        id: helpWindow
        width: if(isRunningOn ===1) { 540 } else { 710 }
        height: if(isRunningOn ===1) { 1500 } else { 780 }
        color: "black"
        anchors.leftMargin: 10

        Text {
            id: text1
            x: 0
            y: 0
            anchors.leftMargin: 10
            width: helpWindow.width - 20
            height: helpWindow.height
            color: "#ffffff"
            text: "\nFuelExp provides control of your vehicle's fuel consumption. \n" +
                  "Log the data each time you pump gas and review your vehicle fuel consumption and monthly expenditure for proper financial management. \n" +
                  "You can easily backup (restore) or share data by exporting (importing) it into XML file. \n" +
                  "Application is divided into three parts: Buy fuel, Statistics and Options window. \n\n\n" +

                  "     Buy fuel window \n\n " +
                  "Set odometer so that the value matches your vehicle's current odometer reading. \n " +
                  "At first application run odometer is set to 0 but later it will be set on biggest odometer value you entered into applications database. \n " +
                  "Input values for fuel, price and date (by default is set to current date). \n " +
                  "When all values are set press Save button to save data into applications database. \n\n\n" +

                  "     Statistics window \n\n " +
                  "This window consists of two tables: \n " +
                  "     1. monthly statistics table with monthly fuel consumption and cost, \n " +
                  "     2. transactions table shows all transactions entered by user. \n " +
                  "There is additional info how much fuel was consumed since using app, how much money was spent on fuel since using app and total distance traveled. \n " +
                  "You can delete transaction by clicking on transaction in transactions table and holding down. \n\n\n" +

                  "     Options window \n\n " +
                  "You can export data from FuelExp to your mobile phone memory card and then send it to another mobile phone or computer. \n " +
                  "After clicking on Export icon a dialog box will appear any you need to specify where you want to save exported data and define the name of the file. \n " +
                  "For easier reading on computer add .XML extension to file name. \n " +
                  "For importing data into application database click on import icon and find file from which you want to import data. \n " +
                  "Delete all data simply deletes all data from application database. \n "
            wrapMode: Text.WordWrap
            font.pixelSize: if(isRunningOn ===1) { 24 } else { 17 }
        }

    }
}
