import QtQuick 1.0

Rectangle {
    id: optionsWindow
    width: if(isRunningOn ===1) { 540 } else { 710 }
    height: if(isRunningOn ===1) { 360 } else { 480 }
    color: "black"

    Button {
        id: exportButton
        width: if(isRunningOn ===1) { 100 } else { 125 }
        height: if(isRunningOn ===1) { 50 } else { 65 }
        radius: 7
        anchors.top: importButton.bottom
        anchors.topMargin: 50
        anchors.left: parent.left
        anchors.leftMargin: 40
        border.width: 5

        SequentialAnimation {
               id: exportButton_anim
               NumberAnimation { target: exportButton; property: "opacity"; to: 0.0; duration: 100 }
               NumberAnimation { target: exportButton; property: "opacity"; to: 1.0; duration: 150 }
        }

        MouseArea {
               id: exportButtonMouseArea
               anchors.fill: parent
               onClicked: {
                   exportButton_anim.start()
                   toolbar.state = "ImportExport"
                   exportFileSignal()

               }
        }

        BorderImage {
               id: exportImage
               anchors.bottomMargin: 5
               anchors.topMargin: 5
               anchors.rightMargin: 22
               anchors.leftMargin: 22
               smooth: true
               anchors.fill: parent
               clip: true
               source: "images/export.png"
        }
    }


    Text {
        id: importText
        width: if(isRunningOn ===1) { 200 } else { 250 }
        height: if(isRunningOn ===1) { 20 } else { 27 }
        color: "#ffffff"
        text: "Import data from file"
        verticalAlignment: Text.AlignVCenter
        horizontalAlignment: Text.AlignLeft
        anchors.left: importButton.right
        anchors.leftMargin: 40
        anchors.top: parent.top
        anchors.topMargin: 85
        font.pixelSize: 23
    }

    Text {
        id: exportText
        width: if(isRunningOn ===1) { 200 } else { 250 }
        height: if(isRunningOn ===1) { 20 } else { 27 }
        color: "#ffffff"
        text: "Export data to file"
        horizontalAlignment: Text.AlignLeft
        verticalAlignment: Text.AlignVCenter
        anchors.left: exportButton.right
        anchors.leftMargin: 40
        anchors.top: importText.bottom
        anchors.topMargin: 80
        font.pixelSize: 23
    }

    Text {
        id: deleteEverythingText
        width: if(isRunningOn ===1) { 200 } else { 250 }
        height: if(isRunningOn ===1) { 20 } else { 27 }
        color: "#ffffff"
        text: "Delete all data"
        horizontalAlignment: Text.AlignLeft
        verticalAlignment: Text.AlignVCenter
        anchors.left: exportButton.right
        anchors.leftMargin: 40
        anchors.top: exportText.bottom
        anchors.topMargin: 80
        font.pixelSize: 23
    }

    Button {
        id: importButton
        width: if(isRunningOn ===1) { 100 } else { 125 }
        height: if(isRunningOn ===1) { 50 } else { 65 }
        radius: 7
        anchors.top: parent.top
        anchors.topMargin: 70
        anchors.left: parent.left
        anchors.leftMargin: 40
        border.width: 5

        SequentialAnimation {
            id: importButton_anim
            NumberAnimation { target: importButton; property: "opacity"; to: 0.0; duration: 100 }
            NumberAnimation { target: importButton; property: "opacity"; to: 1.0; duration: 150 }
        }

        MouseArea {
            id: importButtonMouseArea
            anchors.fill: parent
            onClicked: {
                importButton_anim.start()
                toolbar.state = "ImportExport"
                importFileSignal()

            }
        }

        BorderImage {
            id: importImage
            anchors.bottomMargin: 5
            anchors.topMargin: 5
            anchors.rightMargin: 22
            anchors.leftMargin: 22
            smooth: true
            anchors.fill: parent
            clip: true
            source: "images/import.png"
        }
    }

    Button {
        id: deleteEverythingButton
        width: if(isRunningOn ===1) { 100 } else { 125 }
        height: if(isRunningOn ===1) { 50 } else { 65 }
        radius: 7
        anchors.top: exportButton.bottom
        anchors.topMargin: 50
        anchors.left: parent.left
        anchors.leftMargin: 40
        border.width: 5

        SequentialAnimation {
               id: deleteEverythingButton_anim
               NumberAnimation { target: deleteEverythingButton; property: "opacity"; to: 0.0; duration: 100 }
               NumberAnimation { target: deleteEverythingButton; property: "opacity"; to: 1.0; duration: 150 }
        }

        MouseArea {
               id: deleteEverythingButtonMouseArea
               anchors.fill: parent
               onClicked: {
                   deleteEverythingButton_anim.start()
                   toolbar.state = "DeleteEverythingWarning"

               }
        }

        BorderImage {
               id: deleteEverythingImage
               anchors.bottomMargin: 5
               anchors.topMargin: 5
               anchors.rightMargin: 22
               anchors.leftMargin: 22
               smooth: true
               anchors.fill: parent
               clip: true
               source: "images/deleteEverything_bw.png"
        }
    }
}
