import QtQuick 1.0

Flickable {
    id: stwin
    width: if(isRunningOn ===1) { 540 } else { 710 }
    height: if(isRunningOn ===1) { 360 } else { 480 }
    contentWidth: statistikaWindow.width
    contentHeight: statistikaWindow.height

    Rectangle {
        id: statistikaWindow
        width: if(isRunningOn ===1) { 540 } else { 710 }
        height: monthlyStatText.height + stattable1.height + totFuelText.height + totExpText.height + transactionsText.height + transtable1.height + 220
        color: "black"

        property alias monthlyStatText: monthlyStatText.text


        Text {
            id: monthlyStatText
            width: if(isRunningOn ===1) { 200 } else { 250 }
            height: if(isRunningOn ===1) { 20 } else { 30 }
            color: "#ffffff"
            text: "Monthly statistics"
            anchors.left: parent.left
            anchors.leftMargin: 5
            anchors.top: parent.top
            anchors.topMargin: 10
            font.pixelSize: if(isRunningOn ===1) { 25 } else { 28 }
        }

        // tu ide tablica sa mj statistikama.......
        StatTable {
            id: stattable1
            anchors.left: parent.left
            anchors.leftMargin: 5
            anchors.top: monthlyStatText.bottom //parent.top
            anchors.topMargin: 40
        }

        Text {
            id: totExpText
            width: if(isRunningOn ===1) { 350} else { 437 }
            height: if(isRunningOn ===1) { 20 } else { 27 }
            color: "#ffffff"
            text: "Total expenses: " + ukupnoPotrosenoKn.toFixed(2)     // toFixed(2)  stavlja da ima 2 decimale!
            anchors.left: parent.left
            anchors.leftMargin: 5
            anchors.top: stattable1.bottom
            anchors.topMargin: 40
            font.pixelSize: 20
        }

        Text {
            id: totFuelText
            width: if(isRunningOn ===1) { 350} else { 437 }
            height: if(isRunningOn ===1) { 20 } else { 27 }
            color: "#ffffff"
            text: "Total fuel spent: " + ukupnoPotrosenoLitara.toFixed(2)
            anchors.left: parent.left
            anchors.leftMargin: 5
            anchors.top: totExpText.bottom
            anchors.topMargin: 10
            font.pixelSize: 20
        }

        Text {
            id: totDistanceText
            width: if(isRunningOn ===1) { 350} else { 437 }
            height: if(isRunningOn ===1) { 20 } else { 27 }
            color: "#ffffff"
            text: "Total distance traveled since " +  minDatum + ": " + ukupnoPrijedenaUdaljenost.toFixed(1)
            anchors.left: parent.left
            anchors.leftMargin: 5
            anchors.top: totFuelText.bottom
            anchors.topMargin: 10
            font.pixelSize: 20
        }

        Text {
            id: transactionsText
            width: if(isRunningOn ===1) { 200 } else { 250 }
            height: if(isRunningOn ===1) { 20 } else { 30 }
            color: "#ffffff"
            text: "Transactions"
            anchors.left: parent.left
            anchors.leftMargin: 5
            anchors.top: totDistanceText.bottom
            anchors.topMargin: 30
            font.pixelSize:  if(isRunningOn ===1) { 25 } else { 28 }
        }

        // tu ide tablica sa svim transakcijama.......
        TransTable {
            id: transtable1
            width: if(isRunningOn ===1) { 540 } else { 662 }
            height: 30 + brojTransRedaka * 30
            anchors.left: parent.left
            anchors.leftMargin: 5
            anchors.top: transactionsText.bottom
            anchors.topMargin: 40
        }

    }
}
