import QtQuick 1.0
import Qt 4.7
import Qt.labs.gestures 1.0

Component {
    id: transItem

    Item {
        id: tItem
        width: if(isRunningOn ===1) { 530 } else { 662 }
        height: if(isRunningOn ===1) { 30 } else { 40 }

        // izmjenjujuce boje...
        function altColor(i) {
            var colors = [ "#bebebe", "#b7b7b7" ];
            return colors[i];
        }

        Rectangle {
            id: background
            width: parent.width
            height: parent.height
            color: altColor(index%2)

            GestureArea  {
                anchors.fill: parent
                onTapAndHold: {
                    deleteWindow.dwTrnid = trnid
                    deleteWindow.dwDate = datum
                    deleteWindow.dwOdometer = odometer
                    deleteWindow.dwFuel = fuel
                    deleteWindow.dwPrice = price

                    toolbar.state = "DeleteWarning"
                }
            }
        }

        Row {
            id: transRow
            width: if(isRunningOn ===1) { 530 } else { 662 }
            spacing: 5

            Item {
                // Indent a little
                width: 5
                height: 1
            }

        Text {
                id: itemTrnidText
                width: 0
                height: if(isRunningOn ===1) { 30 } else { 40 }
                text: trnid
                horizontalAlignment: Text.AlignHCenter
                verticalAlignment: Text.AlignVCenter
                font.pointSize: if(isRunningOn ===1) { 7 } else { 9 }
                visible: false
        }

      //  Loader { sourceComponent: columnSeparator; height: parent.height }

        Text {
                id: itemDatumText
                width: if(isRunningOn ===1) { 95 } else { 119 }
                height: if(isRunningOn ===1) { 30 } else { 40 }
                text: datum
                horizontalAlignment: Text.AlignHCenter
                verticalAlignment: Text.AlignVCenter
                font.pointSize: if(isRunningOn ===1) { 7 } else { 9 }
        }

        Loader { sourceComponent: columnSeparator; height: parent.height }

            Text {
                id: itemFuelText
                width: if(isRunningOn ===1) { 70 } else { 87 }
                height: if(isRunningOn ===1) { 30 } else { 40 }
                text: fuel
                horizontalAlignment: Text.AlignRight
                verticalAlignment: Text.AlignVCenter
                font.pointSize: if(isRunningOn ===1) { 7 } else { 9 }
        }

        Loader { sourceComponent: columnSeparator; height: parent.height }

        Text {
            id: itemFuelPriceText
            width: if(isRunningOn ===1) { 95 } else { 119 }
            height: if(isRunningOn ===1) { 30 } else { 40 }
            text: fuelprice
            horizontalAlignment: Text.AlignRight
            verticalAlignment: Text.AlignVCenter
            font.pointSize: if(isRunningOn ===1) { 7 } else { 9 }
        }

        Loader { sourceComponent: columnSeparator; height: parent.height }

        Text {
            id: itemPriceText
            width: if(isRunningOn ===1) { 80 } else { 100 }
            height: if(isRunningOn ===1) { 30 } else { 40 }
            text: price
            font.pointSize: if(isRunningOn ===1) { 7 } else { 9 }
            verticalAlignment: Text.AlignVCenter
            horizontalAlignment: Text.AlignRight
        }

        Loader { sourceComponent: columnSeparator; height: parent.height }

        Text {
            id: itemOdometerText
            width: if(isRunningOn ===1) { 90 } else { 175 }
            height: if(isRunningOn ===1) { 30 } else { 40 }
            text: odometer
            font.pointSize: if(isRunningOn ===1) { 7 } else { 9 }
            verticalAlignment: Text.AlignVCenter
            horizontalAlignment: Text.AlignRight
        }

        Component {
                id: columnSeparator
                Rectangle {
                    width: 1
                    color: "white"
                    opacity: 1.0
                }
        }

        }
    }
}
