import QtQuick 1.0
//import com.nokia.symbian 1.0

Rectangle {

    property alias brojWB: wheelButton.broj
    property alias brojTextDef: brojText.text

    id: wheelButton    
    width: if(isRunningOn ===1) { 55 } else { 69 }
    height: if(isRunningOn ===1) { 140 } else { 186 }
    color: "black"

    property int broj: 0

    Rectangle {
        id: arrowUp
        width: if(isRunningOn ===1) { 55 } else { 69 }
        height: if(isRunningOn ===1) { 39 } else { 54 }
        color: "black"
        anchors.bottom: numberBox.top
        anchors.bottomMargin: 0
        transformOrigin: Item.Center

        SequentialAnimation {
            id: arrowUp_anim
            NumberAnimation { target: arrowUp; property: "opacity"; to: 0.0; duration: 100 }
            NumberAnimation { target: arrowUp; property: "opacity"; to: 1.0; duration: 150 }
        }

        MouseArea {
            id: arrowUp_mouse_area
            anchors.fill: parent
            opacity: 0.750

            onClicked: {
                arrowUp_anim.start()
                numberBox_anim.start()
                if (parseInt(brojText.text) < 9) {
                    brojText.text = parseInt(brojText.text) + 1;
                }
                else
                    brojText.text = 0;
            }
        }

        BorderImage {
            id: arrowUp_image
            anchors.fill: parent
            source: "images/up_arrowBW.png"
        }
    }

    Rectangle {
        id: numberBox
        width: if(isRunningOn ===1) { 55 } else { 69 }
        height: if(isRunningOn ===1) { 62 } else { 82 }
        color: "black"
        anchors.verticalCenter: parent.verticalCenter

        gradient: Gradient {
            GradientStop { position: 0.0; color: "black" }
            GradientStop { position: 0.5; color: "darkGray" }
            GradientStop { position: 1.0; color: "black" }
        }

        SequentialAnimation {
            id: numberBox_anim
            NumberAnimation { target: numberBox; property: "opacity"; to: 0.0; duration: 30 }
            NumberAnimation { target: numberBox; property: "opacity"; to: 1.0; duration: 30 }
        }

        Text {
            id: brojText
            text: qsTr("0")
            style: Text.Raised
            font.bold: true
            verticalAlignment: Text.AlignVCenter
            horizontalAlignment: Text.AlignHCenter
            styleColor: "#777272"
            anchors.horizontalCenter: parent.horizontalCenter
            anchors.verticalCenter: parent.verticalCenter
            color: "white"
            font.pixelSize: 35
        }

    }

    Rectangle {
        id: arrowDown
        width: if(isRunningOn ===1) { 55 } else { 69 }
        height: if(isRunningOn ===1) { 39 } else { 54 }
        color: "black"
        anchors.top: numberBox.bottom
        transformOrigin: Item.Center

        SequentialAnimation {
            id: arrowDown_anim
            NumberAnimation { target: arrowDown; property: "opacity"; to: 0.0; duration: 100 }
            NumberAnimation { target: arrowDown; property: "opacity"; to: 1.0; duration: 150 }
        }

        MouseArea {
            id: arrowDown_mouse_area
            anchors.fill: parent
            opacity: 0.750

            onClicked: {
                arrowDown_anim.start()
                numberBox_anim.start()
                if (parseInt(brojText.text) > 0) {
                    brojText.text = parseInt(brojText.text) - 1;
                }
                else
                    brojText.text = 9;
            }
        }

        BorderImage {
            id: arrowDown_image
            anchors.fill: parent
            source: "images/down_arrowBW.png"
        }
    }
}
