import QtQuick 1.0
//import com.nokia.symbian 1.0

Rectangle {
    id: mainWindow

    width: if(isRunningOn ===1) { 640 } else { 850 }
    height: if(isRunningOn ===1) { 360 } else { 480 }
    color: "black"

    signal buyFuelSignal(string odometer, string datum, string fuelAm, string totCost)
    signal deleteTransactionSignal(int trnid)
    signal importFileSignal()
    signal exportFileSignal()
    signal deleteEverythingSignal()
    signal exitAppSignal()
    signal getPreviousDateAndOdometerSignal(string inDatum, string inOdometer)

    Column {
        id: column1
        width: if(isRunningOn ===1) { 540 } else { 710 }
        height: if(isRunningOn ===1) { 360 } else { 480 }
        anchors.left: parent.left
        anchors.leftMargin: 0

        BuyFuelWindow { id: buyFuelMainWindow; anchors.fill: parent; visible: true }
        StatistikaWindow { id: statistikaWindow; anchors.fill: parent;visible: false }
        OpcijeWindow { id: opcijeWindow; anchors.fill: parent; visible: false }
        OAplikacijiWindow { id: oAplikacijiWindow; anchors.fill: parent; visible: false }
        HelpWindow { id: helpWindow; anchors.fill: parent; visible: false }

        DeleteWindow { id: deleteWindow; anchors.fill: parent; visible: false }
        DeleteEverythingWindow { id: deleteEverythingWindow; anchors.fill: parent; visible: false }
        ErrorWindow { id: errorWindow; anchors.fill: parent; visible: false }

    }

    Column {
        id: toolbar
        width: if(isRunningOn ===1) { 100 } else { 140 }
        height: if(isRunningOn ===1) { 360 } else { 480 }
        anchors.left: parent.left
        anchors.leftMargin: if(isRunningOn ===1) { 540 } else { 715 }
        spacing: 5

            Button {
                id: uplatiBotun
                anchors.top: parent.top
                anchors.topMargin: if(isRunningOn ===1) { 5 } else { 10 }
                anchors.horizontalCenter: parent.horizontalCenter
                SequentialAnimation {
                    id: uplatiBotun_anim
                    NumberAnimation { target: uplatiBotun; property: "opacity"; to: 0.0; duration: 100 }
                    NumberAnimation { target: uplatiBotun; property: "opacity"; to: 1.0; duration: 150 }
                }
                MouseArea{
                    id: uplatiButtonMouseArea
                    anchors.fill: parent
                    onClicked: { toolbar.state = 'Uplati'; uplatiBotun_anim.start() }
                }
                BorderImage {
                    id: uplatiImage
                    source: "images/gas.png"
                    width: parent.height - 10
                    height: parent.height - 10
                    anchors.verticalCenter: parent.verticalCenter
                    anchors.horizontalCenter: parent.horizontalCenter
                }
            }

            Button {
                id: statistikaBotun
                anchors.top: parent.top
                anchors.topMargin: if(isRunningOn ===1) { 65 } else { 88 }
                anchors.horizontalCenter: parent.horizontalCenter
                SequentialAnimation {
                    id: statistikaBotun_anim
                    NumberAnimation { target: statistikaBotun; property: "opacity"; to: 0.0; duration: 100 }
                    NumberAnimation { target: statistikaBotun; property: "opacity"; to: 1.0; duration: 150 }
                }
                MouseArea{
                    id: statistikaButtonMouseArea
                    anchors.fill: parent
                    onClicked: { toolbar.state = 'Statistika'; statistikaBotun_anim.start() }
                }
                BorderImage {
                    id: statistikaImage
                    source: "images/3x3_grid_inv.png"
                    width: parent.height - 10
                    height: parent.height - 10
                    anchors.verticalCenter: parent.verticalCenter
                    anchors.horizontalCenter: parent.horizontalCenter
                }
            }

            Button {
                id: opcijeBotun
                anchors.top: parent.top
                anchors.topMargin: if(isRunningOn ===1) { 125 } else { 167 }
                anchors.horizontalCenter: parent.horizontalCenter
                SequentialAnimation {
                    id: opcijeBotun_anim
                    NumberAnimation { target: opcijeBotun; property: "opacity"; to: 0.0; duration: 100 }
                    NumberAnimation { target: opcijeBotun; property: "opacity"; to: 1.0; duration: 150 }
                }
                MouseArea{
                    id: opcijeButtonMouseArea
                    anchors.fill: parent
                    onClicked: { toolbar.state = 'Opcije'; opcijeBotun_anim.start() }
                }
                BorderImage {
                    id: opcijeImage
                    source: "images/cog_inv.png"
                    width: parent.height - 10
                    height: parent.height - 10
                    anchors.verticalCenter: parent.verticalCenter
                    anchors.horizontalCenter: parent.horizontalCenter
                }
            }

            Button {
                id: helpBotun
                anchors.top: parent.top
                anchors.topMargin: if(isRunningOn ===1) { 185 } else { 246 }
                anchors.horizontalCenter: parent.horizontalCenter
                SequentialAnimation {
                    id: helpBotun_anim
                    NumberAnimation { target: helpBotun; property: "opacity"; to: 0.0; duration: 100 }
                    NumberAnimation { target: helpBotun; property: "opacity"; to: 1.0; duration: 150 }
                }
                MouseArea{
                    id: helpButtonMouseArea
                    anchors.fill: parent
                    onClicked: { toolbar.state = 'Help'; helpBotun_anim.start() }
                }
                BorderImage {
                    id: helpImage
                    source: "images/help_inv.png"
                    width: parent.height - 10
                    height: parent.height - 10
                    anchors.verticalCenter: parent.verticalCenter
                    anchors.horizontalCenter: parent.horizontalCenter
                }
            }

            Button {
                id: aboutBotun
                anchors.top: parent.top
                anchors.topMargin: if(isRunningOn ===1) { 245 } else { 324 }
                anchors.horizontalCenter: parent.horizontalCenter
                SequentialAnimation {
                    id: aboutBotun_anim
                    NumberAnimation { target: aboutBotun; property: "opacity"; to: 0.0; duration: 100 }
                    NumberAnimation { target: aboutBotun; property: "opacity"; to: 1.0; duration: 150 }
                }
                MouseArea{
                    id: aboutButtonMouseArea
                    anchors.fill: parent
                    onClicked: { toolbar.state = 'About'; aboutBotun_anim.start() }
                }
                BorderImage {
                    id: aboutImage
                    source: "images/info_inv.png"
                    width: parent.height - 10
                    height: parent.height - 10
                    anchors.verticalCenter: parent.verticalCenter
                    anchors.horizontalCenter: parent.horizontalCenter
                }
            }

            Button {
                id: izlazBotun
                anchors.top: parent.top
                anchors.topMargin: if(isRunningOn ===1) { 305 } else { 402 }
                anchors.horizontalCenter: parent.horizontalCenter
                SequentialAnimation {
                    id: izlazBotun_anim
                    NumberAnimation { target: izlazBotun; property: "opacity"; to: 0.0; duration: 100 }
                    NumberAnimation { target: izlazBotun; property: "opacity"; to: 1.0; duration: 150 }
                }
                MouseArea{
                    id: izlazButtonMouseArea
                    anchors.fill: parent
                    onClicked: { izlazBotun_anim.start(); exitAppSignal() } // Qt.quit() }
                }
                BorderImage {
                    id: exitImage
                    source: "images/power_inv.png"
                    width: parent.height - 10
                    height: parent.height - 10
                    anchors.verticalCenter: parent.verticalCenter
                    anchors.horizontalCenter: parent.horizontalCenter
                }
            }

            states: [
                State {
                    name: "Statistika"
                    //sakrij glavni prozor
                    when: Toolbar.statistikaBotun.pressed === true
                    PropertyChanges { target: toolbar; visible: true }
                    PropertyChanges { target: buyFuelMainWindow;  visible: false }
                    PropertyChanges { target: statistikaWindow;   visible: true }
                    PropertyChanges { target: opcijeWindow;       visible: false }
                    PropertyChanges { target: helpWindow;         visible: false }
                    PropertyChanges { target: oAplikacijiWindow;  visible: false }
                },

                State {
                    name: "Opcije"
                    //sakrij glavni prozor
                    when: Toolbar.opcijeBotun.pressed === true
                    PropertyChanges { target: toolbar; visible: true }
                    PropertyChanges { target: buyFuelMainWindow;  visible: false }
                    PropertyChanges { target: statistikaWindow;   visible: false }
                    PropertyChanges { target: opcijeWindow;       visible: true }
                    PropertyChanges { target: helpWindow;         visible: false }
                    PropertyChanges { target: oAplikacijiWindow;  visible: false }
                },

                State {
                    name: "Uplati"
                    //sakrij glavni prozor
                    when: Toolbar.uplatiBotun.pressed === true
                    PropertyChanges { target: toolbar; visible: true }
                    PropertyChanges { target: buyFuelMainWindow;  visible: true }
                    PropertyChanges { target: statistikaWindow;   visible: false }
                    PropertyChanges { target: opcijeWindow;       visible: false }
                    PropertyChanges { target: helpWindow;         visible: false }
                    PropertyChanges { target: oAplikacijiWindow;  visible: false }
                    // resetiraj kotacice
                    PropertyChanges { target: buyFuelMainWindow.buyFuelTotalCost1; brojTextDef: "0"}
                    PropertyChanges { target: buyFuelMainWindow.buyFuelTotalCost2; brojTextDef: "0"}
                    PropertyChanges { target: buyFuelMainWindow.buyFuelTotalCost3; brojTextDef: "0"}
                    PropertyChanges { target: buyFuelMainWindow.buyFuelTotalCost4; brojTextDef: "0"}
                    PropertyChanges { target: buyFuelMainWindow.buyFuelTotalCost5; brojTextDef: "0"}
                    PropertyChanges { target: buyFuelMainWindow.buyFuelTotalCost6; brojTextDef: "0"}
                    PropertyChanges { target: buyFuelMainWindow.buyFuelFuelAmount1; brojTextDef: "0"}
                    PropertyChanges { target: buyFuelMainWindow.buyFuelFuelAmount2; brojTextDef: "0"}
                    PropertyChanges { target: buyFuelMainWindow.buyFuelFuelAmount3; brojTextDef: "0"}
                    PropertyChanges { target: buyFuelMainWindow.buyFuelFuelAmount4; brojTextDef: "0"}
                    PropertyChanges { target: buyFuelMainWindow.buyFuelFuelAmount5; brojTextDef: "0"}
                },

                State {
                    name: "Help"
                    //sakrij glavni prozor
                    when: Toolbar.helpBotun.pressed === true
                    PropertyChanges { target: toolbar; visible: true }
                    PropertyChanges { target: buyFuelMainWindow;  visible: false }
                    PropertyChanges { target: statistikaWindow;   visible: false }
                    PropertyChanges { target: opcijeWindow;       visible: false }
                    PropertyChanges { target: helpWindow;         visible: true }
                    PropertyChanges { target: oAplikacijiWindow;  visible: false }
                },

                State {
                    name: "About"
                    //sakrij glavni prozor
                    when: Toolbar.aboutBotun.pressed === true
                    PropertyChanges { target: toolbar; visible: true }
                    PropertyChanges { target: buyFuelMainWindow;  visible: false }
                    PropertyChanges { target: statistikaWindow;   visible: false }
                    PropertyChanges { target: opcijeWindow;       visible: false }
                    PropertyChanges { target: helpWindow;         visible: false }
                    PropertyChanges { target: oAplikacijiWindow;  visible: true }

                },

                // ovo su stateovi sa upozorenjima i errorima!
                State {
                    name: "DeleteWarning"
                    //sakrij glavni prozor
                    PropertyChanges { target: statistikaWindow; visible: false }
                    PropertyChanges { target: toolbar; visible: false }
                    PropertyChanges { target: deleteWindow; visible: true }
                },

                State {
                    name: "DeleteEverythingWarning"
                    //sakrij glavni prozor
                    PropertyChanges { target: opcijeWindow; visible: false }
                    PropertyChanges { target: toolbar; visible: false }
                    PropertyChanges { target: deleteEverythingWindow; visible: true }
                },

                State {
                    name: "InputErrorWarning"
                    //sakrij glavni prozor
                    PropertyChanges { target: buyFuelMainWindow; visible: false }
                    PropertyChanges { target: toolbar; visible: false }
                    PropertyChanges { target: errorWindow; visible: true }
                },

                State {
                    name: "ImportExport"
                    //sakrij glavni prozor
                    PropertyChanges { target: opcijeWindow;       visible: false }
                }
            ]
        }
}
